Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb
Class StatefulSessionEnterpriseContext.StatefulSessionContextImpl

    java.lang.Object
      org.jboss.ejb.EnterpriseContext.EJBContextImpl
          org.jboss.ejb.StatefulSessionEnterpriseContext.StatefulSessionContextImpl

All Implemented Interfaces:
  javax.ejb.EJBContext, javax.ejb.SessionContext

Enclosing class:
  StatefulSessionEnterpriseContext

protected class StatefulSessionEnterpriseContext.StatefulSessionContextImpl
extends EnterpriseContext.EJBContextImpl
implements javax.ejb.SessionContext

Constructor Summary
`protected` | `StatefulSessionEnterpriseContext.StatefulSessionContextImpl()`

Method Summary
`Principal` | `getCallerPrincipal()` Get the Principal for the current caller.
`javax.ejb.EJBHome` | `getEJBHome()`
`javax.ejb.EJBLocalHome` | `getEJBLocalHome()`
`javax.ejb.EJBLocalObject` | `getEJBLocalObject()`
`javax.ejb.EJBObject` | `getEJBObject()`
`javax.xml.rpc.handler.MessageContext` | `getMessageContext()`
`Object` | `getPrimaryKey()`
`boolean` | `getRollbackOnly()`
`javax.ejb.TimerService` | `getTimerService()`
`UserTransaction` | `getUserTransaction()`
`boolean` | `isCallerInRole(String id)` Checks if the current caller has a given role.
`void` | `setRollbackOnly()`

Methods inherited from class org.jboss.ejb.EnterpriseContext.EJBContextImpl
`getCallerIdentity, getEnvironment, isCallerInRole, lookup`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.ejb.EJBContext
`getCallerIdentity, getEnvironment, isCallerInRole, lookup`

Constructor Detail

### StatefulSessionEnterpriseContext.StatefulSessionContextImpl

    protected StatefulSessionEnterpriseContext.StatefulSessionContextImpl()

Method Detail

### getEJBHome

    public javax.ejb.EJBHome getEJBHome()

  Specified by:
    `getEJBHome` in interface `javax.ejb.EJBContext`
  Overrides:
    `getEJBHome` in class `EnterpriseContext.EJBContextImpl`

### getEJBLocalHome

    public javax.ejb.EJBLocalHome getEJBLocalHome()

  Specified by:
    `getEJBLocalHome` in interface `javax.ejb.EJBContext`
  Overrides:
    `getEJBLocalHome` in class `EnterpriseContext.EJBContextImpl`

### getCallerPrincipal

    public Principal getCallerPrincipal()

  Get the Principal for the current caller. This method cannot return null according to the ejb-spec.

  Specified by:
    `getCallerPrincipal` in interface `javax.ejb.EJBContext`
  Overrides:
    `getCallerPrincipal` in class `EnterpriseContext.EJBContextImpl`

### isCallerInRole

    public boolean isCallerInRole(String id)

  Description copied from class: `EnterpriseContext.EJBContextImpl`
  Checks if the current caller has a given role. The current caller is either the principal associated with the method invocation or the current run-as principal.

  Specified by:
    `isCallerInRole` in interface `javax.ejb.EJBContext`
  Overrides:
    `isCallerInRole` in class `EnterpriseContext.EJBContextImpl`

### getEJBObject

    public javax.ejb.EJBObject getEJBObject()

  Specified by:
    `getEJBObject` in interface `javax.ejb.SessionContext`

### getEJBLocalObject

    public javax.ejb.EJBLocalObject getEJBLocalObject()

  Specified by:
    `getEJBLocalObject` in interface `javax.ejb.SessionContext`

### getRollbackOnly

    public boolean getRollbackOnly()

  Specified by:
    `getRollbackOnly` in interface `javax.ejb.EJBContext`
  Overrides:
    `getRollbackOnly` in class `EnterpriseContext.EJBContextImpl`

### setRollbackOnly

    public void setRollbackOnly()

  Specified by:
    `setRollbackOnly` in interface `javax.ejb.EJBContext`
  Overrides:
    `setRollbackOnly` in class `EnterpriseContext.EJBContextImpl`

### getUserTransaction

    public UserTransaction getUserTransaction()

  Specified by:
    `getUserTransaction` in interface `javax.ejb.EJBContext`
  Overrides:
    `getUserTransaction` in class `EnterpriseContext.EJBContextImpl`

### getTimerService

    public javax.ejb.TimerService getTimerService()
                                           throws IllegalStateException

  Specified by:
    `getTimerService` in interface `javax.ejb.EJBContext`
  Overrides:
    `getTimerService` in class `EnterpriseContext.EJBContextImpl`
  Throws:
    `IllegalStateException`

### getMessageContext

    public javax.xml.rpc.handler.MessageContext getMessageContext()
                                                           throws IllegalStateException

  Specified by:
    `getMessageContext` in interface `javax.ejb.SessionContext`
  Throws:
    `IllegalStateException`

### getPrimaryKey

    public Object getPrimaryKey()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.